# Accounts API REST 2.0 Accounts API **Version:** 2.23.0 ## Servers - `https://api-sandbox.nuvei.com/account-api` — sandbox - `https://api.nuvei.com/account-api` — prod ## Tags - **Payment Tokens** — CRUD for payment tokens - **Buyers Management** — CRUD for buyers - **Manage Payment Tokens for Buyers** — Manage payment tokens for buyers - **Payment Options** — Entity Payment Options - **Card Recognition** — Card Recognition - **Network Tokens** — Provision and manage network tokens ## Security Schemes ### bearerAuth - Type: `http` - Scheme: `bearer` - Bearer Format: `JWT` ### apiKeyAuth - Type: `apiKey` - In: `header` - Header/Param Name: `X-API-KEY` **Global Security:** bearerAuth OR apiKeyAuth ## Paths ### `/buyers/{buyer-id}/payment-tokens` #### GET **Summary:** Retrieve All Payment Tokens Retrieves all of the payment tokens of a Buyer. **Operation ID:** `readBuyerPaymentTokens` **Tags:** Manage Payment Tokens for Buyers **Security:** bearerAuth OR apiKeyAuth **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `buyer-id` | path | BuyerId | Yes | Unique identifier of the customer in your system. | | `processing_entity_id` | query | EntityId | No | ID of processing entity. | | `payment_token_status` | query | array | No | Filter by payment token status. When omitted, only active tokens are returned. | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `PaymentTokensResponse` - **paymentTokens** — _array_ - **items** — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `PaymentTokensResponse` - **paymentTokens** — _array_ - **items** — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting ### `/buyers/{buyer-id}/payment-tokens/{payment-token-id}` #### GET **Summary:** Retrieve Single Payment Token Retrieves a single payment token of a Buyer. **Operation ID:** `readBuyerPaymentTokenDetails` **Tags:** Manage Payment Tokens for Buyers **Security:** bearerAuth OR apiKeyAuth **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `buyer-id` | path | BuyerId | Yes | Unique identifier of the customer in your system. | | `payment-token-id` | path | PaymentTokenId | Yes | Represents a customer bank account in the Nuvei system. | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `PaymentTokenResponse` - **paymentToken** — (`PaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting ### `/buyers/{buyer-id}` #### GET **Summary:** Retrieve Buyer Details Retrieves the Buyer details. **Operation ID:** `readBuyerDetails` **Tags:** Buyers Management **Security:** bearerAuth OR apiKeyAuth **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `buyer-id` | path | BuyerId | Yes | Unique identifier of the customer in your system. | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `BuyerResponse` - **buyer** — (`Buyer`) — _object_ - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **buyerDetails** — (`BasicBuyerDetails`) — _object_ - **firstName** — _string_ - **middleName** — _string_ - **lastName** — _string_ - **companyName** — _string_ - **locale** — _string_ - **dateOfBirth** — _string_ — format: `date` - **email** — _string_ - **phone** — _string_ - **phone2** — _string_ - **workPhone** — _string_ - **identificationType** — (`IdentificationType`) — _string_ — enum: `DateOfBirth`, `CustomerId`, `NationalId`, `PassportNumber`, `DriverLicense`, `TaxId`, `CompanyRegistrationNumber`, `ProxyId`, `SocialSecurityNumber`, `AlienRegistrationNumber`, `LawEnforcementId`, `MilitaryId`, `TravelId`, `Email`, `PhoneNumber` - **identificationValue** — (`IdentificationValue`) — _string_ - **cardHolderEntityType** — (`CardHolderEntityType`) — _string_ — enum: `Business`, `Individual` - **nationalIdentificationNumber** — _string_ - **accountReference** — (`BuyerAccountReference`) — _string_ - **billingAddress** — (`BillingAddress`) — _object_ - **address** — _string_ - **addressLine2** — _string_ - **addressLine3** — _string_ - **street** — _string_ - **state** — _string_ - **zip** — _string_ - **city** — _string_ - **countryCode** — _string_ — **required** — 2 digits ISO country code - **phone** — _string_ - **addressMatch** — _boolean_ - **shippingAddress** — (`ShippingAddress`) — _object_ - **sameAsBilling** — _boolean_ — default: `false` - **address** — _string_ - **addressLine2** — _string_ - **addressLine3** — _string_ - **streetNumber** — _string_ - **state** — _string_ - **zip** — _string_ - **city** — _string_ - **countryCode** — _string_ - **firstName** — _string_ - **lastName** — _string_ - **phone** — _string_ - **phone2** — _string_ - **careOf** — _string_ — Name of the person/entity to whose care the shipment is addressed. - **salutation** — _string_ — Salutation used for the shipping recipient (e.g., Mr, Ms, Dr). - **ShippingTrackingDetails** — (`ShippingTrackingDetails`) — _object_ - **customerNumber** — _string_ — Customer number associated with the shipment. - **addressType** — _string_ — Type of shipping address (e.g., residential, business). - **shippingType** — _string_ — Shipping method/type (e.g., standard, express). - **shippingCarrierName** — _string_ — Name of the shipping carrier. - **trackingId** — _string_ — Tracking identifier provided by the carrier. - **trackingUrl** — _string_ — format: `uri` — URL where tracking status can be viewed. - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting #### PUT **Summary:** Create or Override Buyer Details Creates or overrides buyer details for subsequent transactions. **Operation ID:** `createOrUpdateBuyer` **Tags:** Buyers Management **Security:** bearerAuth OR apiKeyAuth **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `buyer-id` | path | BuyerId | Yes | Unique identifier of the customer in your system. | **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `CreateBuyerInput` - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **buyerDetails** — (`BasicBuyerDetails`) — _object_ — **required** - **firstName** — _string_ - **middleName** — _string_ - **lastName** — _string_ - **companyName** — _string_ - **locale** — _string_ - **dateOfBirth** — _string_ — format: `date` - **email** — _string_ - **phone** — _string_ - **phone2** — _string_ - **workPhone** — _string_ - **identificationType** — (`IdentificationType`) — _string_ — enum: `DateOfBirth`, `CustomerId`, `NationalId`, `PassportNumber`, `DriverLicense`, `TaxId`, `CompanyRegistrationNumber`, `ProxyId`, `SocialSecurityNumber`, `AlienRegistrationNumber`, `LawEnforcementId`, `MilitaryId`, `TravelId`, `Email`, `PhoneNumber` - **identificationValue** — (`IdentificationValue`) — _string_ - **cardHolderEntityType** — (`CardHolderEntityType`) — _string_ — enum: `Business`, `Individual` - **nationalIdentificationNumber** — _string_ - **accountReference** — (`BuyerAccountReference`) — _string_ - **billingAddress** — (`BillingAddress`) — _object_ - **address** — _string_ - **addressLine2** — _string_ - **addressLine3** — _string_ - **street** — _string_ - **state** — _string_ - **zip** — _string_ - **city** — _string_ - **countryCode** — _string_ — **required** — 2 digits ISO country code - **phone** — _string_ - **addressMatch** — _boolean_ - **shippingAddress** — (`ShippingAddress`) — _object_ - **sameAsBilling** — _boolean_ — default: `false` - **address** — _string_ - **addressLine2** — _string_ - **addressLine3** — _string_ - **streetNumber** — _string_ - **state** — _string_ - **zip** — _string_ - **city** — _string_ - **countryCode** — _string_ - **firstName** — _string_ - **lastName** — _string_ - **phone** — _string_ - **phone2** — _string_ - **careOf** — _string_ — Name of the person/entity to whose care the shipment is addressed. - **salutation** — _string_ — Salutation used for the shipping recipient (e.g., Mr, Ms, Dr). - **ShippingTrackingDetails** — (`ShippingTrackingDetails`) — _object_ - **customerNumber** — _string_ — Customer number associated with the shipment. - **addressType** — _string_ — Type of shipping address (e.g., residential, business). - **shippingType** — _string_ — Shipping method/type (e.g., standard, express). - **shippingCarrierName** — _string_ — Name of the shipping carrier. - **trackingId** — _string_ — Tracking identifier provided by the carrier. - **trackingUrl** — _string_ — format: `uri` — URL where tracking status can be viewed. **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting ### `/payment-tokens` #### POST **Summary:** Create Payment Token Tokenizes payment details for use in subsequent transactions. The same payment method can be tokenized a few times. **Operation ID:** `createPaymentToken` **Tags:** Payment Tokens **Security:** bearerAuth OR apiKeyAuth **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `PaymentTokenInput` - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **paymentOption** — (`CardWrapped`) — _object_ — **required** - **card** — (`Card`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **cardNumber** — (`CardNumber`) — _string_ — **required** — example: `"5113981660016597"` — The full credit card number. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cvv** — (`CVV`) — _string_ — example: `"591"` — The CVV/CVC security code. - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **temporaryPaymentToken** — (`TemporaryPaymentTokenInput`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **custom** — (`Custom`) — _object_ — example: `{"hello":"world"}` **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `PaymentTokenCreatedResponse` - **paymentToken** — (`BasePaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `PaymentTokenCreatedResponse` - **paymentToken** — (`BasePaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `PaymentTokenCreatedResponse` - **paymentToken** — (`BasePaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `PaymentTokenCreatedResponse` - **paymentToken** — (`BasePaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `PaymentTokenCreatedResponse` - **paymentToken** — (`BasePaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting ### `/payment-tokens/{payment-token-id}` #### GET **Summary:** Retrieve Payment Token Details Retrieves the payment token details. **Operation ID:** `readPaymentToken` **Tags:** Payment Tokens **Security:** bearerAuth OR apiKeyAuth **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `payment-token-id` | path | PaymentTokenId | Yes | Represents a customer bank account in the Nuvei system. | | `processing_entity_id` | query | EntityId | Yes | ID of processing entity. | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `PaymentTokenResponse` - **paymentToken** — (`PaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `PaymentTokensResponse` - **paymentTokens** — _array_ - **items** — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `PaymentTokensResponse` - **paymentTokens** — _array_ - **items** — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `PaymentTokensResponse` - **paymentTokens** — _array_ - **items** — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `PaymentTokensResponse` - **paymentTokens** — _array_ - **items** — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `PaymentTokensResponse` - **paymentTokens** — _array_ - **items** — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **cccId** — (`CccId`) — _integer_ — example: `1` — ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover - **displayName** — _string_ — Payment Token Display Name - **paymentOption** — (`CardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescoped`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **alternativePaymentMethod** — (`ApmDetails`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **status** — (`PaymentTokenStatus`) — _string_ — enum: `active`, `suspended`, `disabled` — The status of the payment token. - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting #### PATCH **Summary:** Update Payment Token Details For cards, allows updating cardholder name and expiration of the token. Can link to a buyer as well. **Operation ID:** `updatePaymentToken` **Tags:** Payment Tokens **Security:** bearerAuth OR apiKeyAuth **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `payment-token-id` | path | PaymentTokenId | Yes | Represents a customer bank account in the Nuvei system. | **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `UpdatePaymentTokenInput` - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **paymentOption** — (`UpdateCardInputWrapped`) — _object_ - **card** — (`UpdateCardInput`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — example: `"2022"` — The card expiration year. - **alternativePaymentMethod** — (`ApmDetailsUpdate`) — _object_ - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **buyerId** — (`BuyerId`) — _string_ — example: `"buyer@wherever.com"` - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **usageIntent** — (`TokenUsage`) — _string_ — enum: `recurring`, `unscheduled` **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting ### `/temporary-payment-tokens` #### POST **Summary:** Tokenize Card Temporarily Creates a temporary card token for the duration of the session. **Operation ID:** `createTemporaryPaymentToken` **Tags:** Payment Tokens **Security:** bearerAuth OR apiKeyAuth **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `TemporaryPaymentTokenRequest` - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **paymentOption** — (`PaymentOptionTemporaryTokenCardInput`) — _object_ — **required** - **card** — (`TemporaryTokenCardInput`) — _object_ — **required** - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **cardNumber** — (`CardNumber`) — _string_ — **required** — example: `"5113981660016597"` — The full credit card number. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cvv** — (`CVV`) — _string_ — example: `"591"` — The CVV/CVC security code. - **selectedBrand** — _string_ - **custom** — (`Custom`) — _object_ — example: `{"hello":"world"}` **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `TemporaryPaymentTokenResponse` - **temporaryPaymentToken** — (`TemporaryPaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **paymentOption** — (`TemporaryPaymentTokenCardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescopedTemporaryToken`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **selectedBrand** — _string_ - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `TemporaryPaymentTokenResponse` - **temporaryPaymentToken** — (`TemporaryPaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **paymentOption** — (`TemporaryPaymentTokenCardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescopedTemporaryToken`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **selectedBrand** — _string_ - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `TemporaryPaymentTokenResponse` - **temporaryPaymentToken** — (`TemporaryPaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **paymentOption** — (`TemporaryPaymentTokenCardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescopedTemporaryToken`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **selectedBrand** — _string_ - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `TemporaryPaymentTokenResponse` - **temporaryPaymentToken** — (`TemporaryPaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **paymentOption** — (`TemporaryPaymentTokenCardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescopedTemporaryToken`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **selectedBrand** — _string_ - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `TemporaryPaymentTokenResponse` - **temporaryPaymentToken** — (`TemporaryPaymentToken`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — **required** — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **paymentOption** — (`TemporaryPaymentTokenCardPciDescopedWrapped`) — _object_ — **required** - **card** — (`CardPciDescopedTemporaryToken`) — _object_ - **cardHolderName** — (`CardHolderName`) — _string_ — example: `"Jada Pinkett"` — The cardholder name. - **maskedCardNumber** — (`CardNumberMasked`) — _string_ — example: `"5***6597"` — The masked credit card number. - **bin** — (`CardBIN`) — _string_ — example: `"546221"` — The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cardType** — (`CardType`) — _string_ — enum: `Credit`, `Debit` — The type of card used in the transaction. - **cardBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **secondaryBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **isDualBranded** — _boolean_ - **lastBrand** — (`CardBrand`) — _string_ — The card brand used in the transaction. - **cardProduct** — _string_ - **cardProgram** — _string_ - **cardProductType** — _string_ - **isPrepaid** — _boolean_ — Indicates if the card is prepaid or not. - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **isVirtual** — _boolean_ - **isDynamicCurrencyConversionSupported** — _boolean_ - **selectedBrand** — _string_ - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting ### `/account-captures` #### POST **Summary:** Capture Account Details Tokenizes payment details by capturing account details. **Operation ID:** `postAccountCaptures` **Tags:** Payment Tokens **Security:** bearerAuth OR apiKeyAuth **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `idempotency-key` | header | string | No | Idempotency Key for the request | **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `AccountCaptureRequest` - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **currency** — _string_ - **paymentOption** — (`PaymentOptionAccountCapture`) — _object_ — **required** - **alternativePaymentMethod** — (`ApmDetails`) — _object_ — **required** - **name** — _string_ — **required** — example: `"ACH"` - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **buyerDetails** — (`BuyerDetails`) — _object_ - **buyerId** — _string_ — The `buyerId` is required if `buyerToken` is provided as a value in the `store` parameter. - **firstName** — _string_ - **middleName** — _string_ - **lastName** — _string_ - **companyName** — _string_ - **locale** — _string_ - **dateOfBirth** — _string_ — format: `date` - **email** — _string_ - **phone** — _string_ - **phone2** — _string_ - **workPhone** — _string_ - **identificationType** — (`IdentificationType`) — _string_ — enum: `DateOfBirth`, `CustomerId`, `NationalId`, `PassportNumber`, `DriverLicense`, `TaxId`, `CompanyRegistrationNumber`, `ProxyId`, `SocialSecurityNumber`, `AlienRegistrationNumber`, `LawEnforcementId`, `MilitaryId`, `TravelId`, `Email`, `PhoneNumber` - **identificationValue** — (`IdentificationValue`) — _string_ - **cardHolderEntityType** — (`CardHolderEntityType`) — _string_ — enum: `Business`, `Individual` - **nationalIdentificationNumber** — _string_ - **accountReference** — (`BuyerAccountReference`) — _string_ - **billingAddress** — (`BillingAddress`) — _object_ - **address** — _string_ - **addressLine2** — _string_ - **addressLine3** — _string_ - **street** — _string_ - **state** — _string_ - **zip** — _string_ - **city** — _string_ - **countryCode** — _string_ — **required** — 2 digits ISO country code - **phone** — _string_ - **addressMatch** — _boolean_ - **shippingAddress** — (`ShippingAddress`) — _object_ - **sameAsBilling** — _boolean_ — default: `false` - **address** — _string_ - **addressLine2** — _string_ - **addressLine3** — _string_ - **streetNumber** — _string_ - **state** — _string_ - **zip** — _string_ - **city** — _string_ - **countryCode** — _string_ - **firstName** — _string_ - **lastName** — _string_ - **phone** — _string_ - **phone2** — _string_ - **careOf** — _string_ — Name of the person/entity to whose care the shipment is addressed. - **salutation** — _string_ — Salutation used for the shipping recipient (e.g., Mr, Ms, Dr). - **ShippingTrackingDetails** — (`ShippingTrackingDetails`) — _object_ - **customerNumber** — _string_ — Customer number associated with the shipment. - **addressType** — _string_ — Type of shipping address (e.g., residential, business). - **shippingType** — _string_ — Shipping method/type (e.g., standard, express). - **shippingCarrierName** — _string_ — Name of the shipping carrier. - **trackingId** — _string_ — Tracking identifier provided by the carrier. - **trackingUrl** — _string_ — format: `uri` — URL where tracking status can be viewed. - **deviceDetails** — (`DeviceDetails`) — _object_ - **deviceName** — _string_ - **deviceOS** — _string_ - **deviceType** — _string_ — Supported device types include: DESKTOP, SMARTPHONE, TABLET, TV, UNKNOWN (if device type cannot be recognized). - **ipAddress** — _string_ — The customer's IP address. - **browser** — (`Browser`) — _object_ - **acceptHeader** — _string_ — Exact content of the HTTP accept headers as sent to the 3DS Requestor from the cardholder's browser. If the total length of the accept header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion. - **colorDepth** — _integer_ — Value representing the bit depth of the color palette for displaying images, in bits per pixel. Obtained from cardholder browser using the screen.colorDepth property. Values: 1, 4, 8, 15, 16, 24, 32, 48 - **javaEnabled** — _boolean_ — Represents the ability of the cardholder browser to execute Java. REQUIRED when `javaScriptEnabled` is TRUE. Value is returned from the navigator.javaEnabled property. Values: TRUE, FALSE - **javaScriptEnabled** — _boolean_ — Determines whether the browser is JavaScript enabled (from `navigator.javaScriptEnabled` property). Values: TRUE, FALSE - **language** — _string_ — Value representing the browser language as defined in IETF BCP47. Returned from `navigator.language` property. - **screenHeight** — _integer_ — Total height of the cardholder's screen in pixels. Value is returned from the `screen.height` property. - **screenWidth** — _integer_ — Total width of the cardholder's screen in pixels. Value is returned from the `screen`.width property. - **timeZone** — _string_ — Time difference between UTC time and the cardholder browser local time, in minutes. Values: Value is returned from the `getTimezoneOffset()` method. - **userAgent** — _string_ — Exact content of the HTTP user-agent header. Values: If the total length of the user-agent header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion. - **msisdn** — _string_ — Device MSISDN - **iccId** — _string_ — Device ICCID - **imei** — _string_ — Device IMEI - **devicePossessionStatus** — (`DevicePossessionStatus`) — _string_ — enum: `lost`, `stolen` — Indication if the device is lost or stolen - **deviceManufacturerIdentifier** — _string_ - **custom** — (`Custom`) — _object_ — example: `{"hello":"world"}` - **urlDetails** — (`UrlDetails`) — _object_ - **webhookUrl** — _string_ — The URL to which notifications for outcome of the financial transactions will be sent - **successUrl** — _string_ — The URL to which the end user will be redirected in case of a successful transaction with Alternative Payment Method - **failureUrl** — _string_ — The URL to which the end user will be redirected in case of an unsuccessful transaction with Alternative Payment Method - **pendingUrl** — _string_ — The URL to which the end user will be redirected in case of a pending transaction with Alternative Payment Method - **returnToAppUrl** — _string_ — The URL to which the end user is redirected in case of a successful transaction with an APM that shuold open in an external browser. **Responses:** - **201** — Created - Content-Type: `application/json` **Schema:** `AccountCaptureResponse` - **accountCaptureId** — _string_ - **redirectUrl** — _string_ - **result** — (`AccountCaptureResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `redirect`, `error`, `pending` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `AccountCaptureResponse` - **accountCaptureId** — _string_ - **redirectUrl** — _string_ - **result** — (`AccountCaptureResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `redirect`, `error`, `pending` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `AccountCaptureResponse` - **accountCaptureId** — _string_ - **redirectUrl** — _string_ - **result** — (`AccountCaptureResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `redirect`, `error`, `pending` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `AccountCaptureResponse` - **accountCaptureId** — _string_ - **redirectUrl** — _string_ - **result** — (`AccountCaptureResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `redirect`, `error`, `pending` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `AccountCaptureResponse` - **accountCaptureId** — _string_ - **redirectUrl** — _string_ - **result** — (`AccountCaptureResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `redirect`, `error`, `pending` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting ### `/payment-options` #### GET **Summary:** Retrieve Payment Option Details Retrieves the payment option details per processing entity. **Operation ID:** `readEntityPaymentOptions` **Tags:** Payment Options **Security:** bearerAuth OR apiKeyAuth **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `processing_entity_id` | query | EntityId | No | ID of processing entity. | | `country_code` | query | string | No | The [2-letter ISO country code](https://en.wikipedia.org/wiki/ISO_3166-1#Current_codes). | | `currency` | query | string | No | The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). | | `include_optional_fields` | query | boolean | No | Include optional fields in the response | | `compact_response` | query | boolean | No | Provide a compact response with only name, cccId and processing gateway | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `PaymentOptionsResponse` - **paymentOptions** — (`PaymentOptions`) — _array_ - **items** — (`PaymentOption`) — _object_ - **name** — _string_ — **required** - **cccId** — _integer_ - **processingGateway** — (`ProcessingGateway`) — _string_ — enum: `APM`, `card` - **isDirect** — _boolean_ — default: `false` — Indication if the Payment Option supports direct flow - **supportsFieldsRecovery** — _boolean_ — **required** — default: `false` — Indication if the Payment Option supports fields recovery functionality - **fields** — (`PaymentOptionInputFields`) — _array_ — List of input fields for a Payment Option - **items** — (`PaymentOptionInputField`) — _object_ — Defines an input field for a Payment Option - **name** — _string_ — **required** — The name of the input parameter as expected by REST API methods - **dataType** — _string_ — **required** — enum: `INTEGER`, `DECIMAL`, `STRING`, `DATE`, `BOOLEAN`, `OBJECT`, `LIST` — The data type of the value - **isMandatory** — _boolean_ — **required** — Indication if the field is required for the Payment Option - **minimumLength** — _integer_ — The minimum supported length of the provided value. Valid for STRING data type - **maximumLength** — _integer_ — The maximum supported length of the provided value. Valid for STRING data type - **keyboardType** — (`KeyboardType`) — _string_ — enum: `any`, `tel`, `number`, `email`, `text`, `password`, `date` — default: `"any"` - **values** — _array_ - **items** — (`FieldValue`) — _object_ — Representation of a single value for LIST dataType fields - **code** — _string_ - **displayName** — _string_ - **mandatoryFields** — _array_ - **items** — _string_ - **restrictions** — (`CountryCurrencyRestrictions`) — _array_ - **items** — (`CountryCurrencyRestriction`) — _object_ - **countryCode** — _string_ - **currency** — _string_ - **minimumAmount** — _number_ - **maximumAmount** — _number_ - **logoUrl** — _string_ - **launchInBrowser** — _boolean_ - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting ### `/card-details` #### POST **Summary:** Retrieve Additional Credit Card Details Retrieves additional details of a credit card. **Operation ID:** `postCardDetails` **Tags:** Card Recognition **Security:** bearerAuth OR apiKeyAuth **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `CardDetailsRequest` - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **cardNumber** — (`CardNumber`) — _string_ — **required** — example: `"5113981660016597"` — The full credit card number. **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `CardDetailsResponse` Card Details Response - **card** — (`CardRecognitionDetails`) — _object_ — Card Details - **maskedCardNumber** — _string_ - **last4Digits** — _string_ - **type** — _string_ - **brands** — (`CardBrands`) — _object_ - **main** — _string_ — **required** - **secondary** — _string_ - **isPrepaid** — _boolean_ - **isReloadableCard** — _boolean_ - **cardPayoutSupportCode** — _integer_ - **product** — _string_ - **program** — _string_ - **dccAllowed** — _boolean_ - **issuerCountry** — _string_ - **issuerBankName** — _string_ - **currency** — _string_ - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `ApiResultWrapped` - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting ### `/network-tokens` #### POST **Summary:** Provision Network Token Provision a network token via Visa or MDES. **Operation ID:** `provisionNetworkToken` **Tags:** Network Tokens **Security:** bearerAuth OR apiKeyAuth **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `NetworkTokenInput` - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — example: `"80aef199-b89a-4d59-ba0c-f2cd3c25d5cd"` — Processing `entityId` provided by Nuvei. - **paymentOption** — (`PaymentOptionNetworkToken`) — _object_ — **required** - **card** — (`CardNT`) — _object_ - **cardNumber** — (`CardNumber`) — _string_ — **required** — example: `"5113981660016597"` — The full credit card number. - **expirationMonth** — (`CardExpirationMonth`) — _string_ — **required** — example: `"06"` — The card expiration month. - **expirationYear** — (`CardExpirationYear`) — _string_ — **required** — example: `"2022"` — The card expiration year. - **cvv** — (`CVV`) — _string_ — example: `"591"` — The CVV/CVC security code. - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **paymentToken** — (`TokenInput`) — _object_ - **paymentTokenId** — (`PaymentTokenId`) — _string_ — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `NetworkTokenProvisionedResponse` - **paymentOption** — (`PaymentOptionNT`) — _object_ - **networkToken** — (`NetworkTokenNT`) — _object_ - **paymentTokenId** — _string_ - **tokenNumber** — (`Token`) — _string_ - **expirationYear** — (`ExpirationYear`) — _string_ - **expirationMonth** — (`ExpirationMonth`) — _string_ - **tokenStatus** — (`TokenStatus`) — _string_ - **tokenUniqueReference** — (`TokenUniqueReference`) — _string_ - **paymentAccountReference** — (`PaymentAccountReference`) — _string_ - **tokenAssuranceLevel** — (`TokenAssuranceLevel`) — _string_ - **card** — (`CardNTIn`) — _object_ - **last4Digits** — (`Last4Digits`) — _string_ - **expirationYear** — (`ExpirationYear`) — _string_ - **expirationMonth** — (`ExpirationMonth`) — _string_ - **cardUpdated** — (`CardUpdated`) — _string_ - **updateReason** — (`UpdateReason`) — _string_ - **updateDate** — (`UpdateDate`) — _string_ - **merchantReference** — (`MerchantRef`) — _string_ — example: `"MREF_6f06168d-ff6e-448b-8401-30051eb6b1af"` — Merchant Reference for a business entity (token, subscription, etc.) - **tokenRequestorId** — (`TokenRequestorId`) — _string_ - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `success`, `error` - **errors** — (`ResultError`) — _object_ - **code** — _string_ — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Unexpected error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — Internal reference for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `NetworkTokenProvisionedResponse` - **paymentOption** — (`PaymentOptionNT`) — _object_ - **networkToken** — (`NetworkTokenNT`) — _object_ - **paymentTokenId** — _string_ - **tokenNumber** — (`Token`) — _string_ - **expirationYear** — (`ExpirationYear`) — _string_ - **expirationMonth** — (`ExpirationMonth`) — _st
[...]
